#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=bokeh

%:
	dh $@ --with linktree --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	# Build common package for web resources
	mkdir -p $(CURDIR)/debian/python-bokeh-common/usr/share/bokeh/
	mv $(CURDIR)/debian/python3-bokeh/usr/lib/$(PY3_DEFAULT)/dist-packages/bokeh/server/static \
	   $(CURDIR)/debian/python-bokeh-common/usr/share/bokeh/
	ln -s $(CURDIR)/debian/python-bokeh-common/usr/share/bokeh/static \
	   $(CURDIR)/debian/python3-bokeh/usr/lib/$(PY3_DEFAULT)/dist-packages/bokeh/server/static
	# we should remove upstream min.js. but should we build our own?
	# should debian libjs-boostrap build it?
	# rm $(CURDIR)/debian/python-bokeh-common/usr/share/bokeh/static/bootstrap/js/bootstrap.min.js
